%define _prefix /usr

Name:      kmuddy
Version:   1.0.1
Release:   2%{?dist}
Vendor:    Tomas Mecir <kmuddy@kmuddy.com>
Url:      http://www.kmuddy.com/
Packager:  %{_packager}
Group:     Amusement/Games/Other
Source:    %{name}-%{version}.tar.gz
Source1:   kmuddymapper_speedwalk.rc
Source2:   kmuddymapper_standard.rc
Source3:   kmuddy-pics.tar.gz
Patch0:	   kmuddy-cmake.patch
License: GPL
Summary:   MUD client for KDE4

BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: kdelibs >= 4.1 qt >= 4.4.0
BuildRequires: qt-devel >= 4.4.0 kdelibs-devel >= 4.1
BuildRequires: gcc-c++ cmake >= 2.6.0 libmxp-devel
%global debug_package %{nil}

%description
KMuddy is an extensible MUD client for KDE4. It includes many features such as ANSI color output with split-screen functionality, aliases, triggers (including colorization, rewrite and gag triggers), timers, scripting, recursive grouping for all object types, session transcript, a mapper with auto-mapping support and much more. The MCCP, MSP and MXP protocols are supported. A plug-in interface is also available.

%package devel
Summary: Files needed to develop KMuddy plugins
Group:   Amusement/Games/Other
Requires: kmuddy kdelibs-devel >= 4.1

%description devel
This package contains the header files needed to compile KMuddy plug-ins.

%package mapper
Summary: A mapper module for KMuddy
Group:   Amusement/Games/Other
Requires: kmuddy

%description mapper
This package contains the mapper plug-in for KMuddy.



%prep
%setup
%patch0 -p1


KDEDIR=%{_prefix}
%ifarch x86_64
cmake . -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_PREFIX=%{_prefix} $LOCALFLAGS
%else
cmake . -DCMAKE_BUILD_TYPE=release -DCMAKE_INSTALL_PREFIX=%{_prefix} $LOCALFLAGS -DCMAKE_INSTALL_LIBDIR=lib64 -DLIB_INSTALL_DIR=lib64
%endif

%build

# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi


make -j$numprocs

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp  %{SOURCE1} %buildroot/usr/share/kde4/apps/kmuddy/
cp  %{SOURCE2} %buildroot/usr/share/kde4/apps/kmuddy/
cd %buildroot
tar xpvzf %{SOURCE3}

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_prefix}/share/kde4/apps/kmuddy
%{_prefix}/bin/kmuddy
%{_libdir}/libkmuddycore.so.1.0.0
%{_libdir}/libkmuddycore.so.1
%{_prefix}/share/kde4/servicetypes/kmuddyplugin.desktop
%{_prefix}/share/icons/hicolor/16x16/apps/kmuddy.png
%{_prefix}/share/icons/hicolor/32x32/apps/kmuddy.png
%{_prefix}/share/icons/locolor/16x16/apps/kmuddy.png
%{_prefix}/share/icons/locolor/32x32/apps/kmuddy.png
%{_prefix}/share/kde4/apps/kmuddy/muds.xml
%{_libdir}/kde4/kmuddyconverterplugin.so
%{_libdir}/kde4/kmuddystringsplugin.so
%{_libdir}/kde4/kmuddyscriptingplugin.so
%{_libdir}/kde4/kmuddyvartrigplugin.so
%{_libdir}/kde4/kmuddyvarviewerplugin.so
%{_prefix}/share/kde4/services/kmuddyconverterplugin.desktop
%{_prefix}/share/kde4/services/kmuddystringsplugin.desktop
%{_prefix}/share/kde4/services/kmuddyvartrigplugin.desktop
%{_prefix}/share/kde4/services/kmuddyvarviewerplugin.desktop
%{_prefix}/share/kde4/services/kmuddyscriptingplugin.desktop
%{_prefix}/share/kde4/apps/kmuddy/kmuddy-usock-test.pl
%{_prefix}/share/kde4/apps/kmuddy/pre.c
%{_prefix}/share/kde4/apps/kmuddy/vartest.c
%{_prefix}/share/kde4/apps/kmuddy/kmuddy-usock-client.pl
%{_prefix}/share/kde4/apps/kmuddy/kmuddyvars.h
%{_prefix}/share/kde4/apps/kmuddy/kmuddymapper_speedwalk.rc
%{_prefix}/share/kde4/apps/kmuddy/kmuddymapper_standard.rc
%{_prefix}/share/kde4/apps/kmuddy/tmpserver.pl
%{_prefix}/share/kde4/apps/kmuddy/README
%{_prefix}/share/kde4/apps/kmuddy/locktest.c
%{_prefix}/share/kde4/apps/kmuddy/testserver.cpp
%{_prefix}/share/applications/kde4/kmuddy.desktop
%{_prefix}/share/doc/HTML/en/kmuddy/*


%files devel
%defattr(-,root,root)
%{_libdir}/libkmuddycore.so
%dir /usr/include/kde4/kmuddy
%{_prefix}/include/kde4/kmuddy/*.h

%files mapper
%defattr(-,root,root)
%dir %{_prefix}/share/kde4/apps/kmuddy/pics
%dir %{_prefix}/share/kde4/apps/kmuddy/toolbar
%{_libdir}/kde4/kmuddymapper.so
#%{_libdir}/kde4/libkmuddymapper_standard.so
#%{_libdir}/kde4/libkmuddymapper_speedwalk.so
%{_prefix}/share/kde4/services/kmuddymapper.desktop
%{_prefix}/share/kde4/services/kmuddymapper_standard.desktop
%{_prefix}/share/kde4/services/kmuddymapper_speedwalk.desktop
%{_prefix}/share/kde4/apps/kmuddy/kmuddymapperpart.rc
%{_prefix}/share/kde4/servicetypes/kmuddymapperplugin.desktop
%{_prefix}/share/kde4/apps/kmuddy/pics/kmud_follow.png
%{_prefix}/share/kde4/apps/kmuddy/pics/kmud_properties.png
%{_prefix}/share/kde4/apps/kmuddy/pics/kmud_inactive.png
%{_prefix}/share/kde4/apps/kmuddy/pics/kmud_active.png
%{_prefix}/share/kde4/apps/kmuddy/pics/kmud_delete.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_follow.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_eraser.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_select.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_grid.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_text.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_path.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_room.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_zone.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_directions.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_lvlup.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_create.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_zoneup.png
%{_prefix}/share/kde4/apps/kmuddy/toolbar/kmud_lvldown.png

